description: "Gothic - Othello with D3D11 Renderer"
game_slug: gothic
gogslug: gothic
installer_slug: gothic-gog
name: "Gothic - Othello"
slug: gothic-gog
steamid: 65540
gogid: 1207658682
version: GOG
year: 2001
notes:
  "Hassle free installer of Gothic GOG version with the Othello mod with D3D11 renderer. Click \"Continue\" button in\
  \ any pop-up during the installation. Please be patient, some steps take time to\
  \ execute."
runner: wine
script:
  files:
    - setup: N/A:Select the GOG game setup file
    - othello-exe:
        filename: Othello-Setup.exe
        url: https://www.worldofgothic.de/download.php?id=1677
    - othello-1:
        filename: Othello-Setup-1.bin
        url: https://www.worldofgothic.de/download.php?id=1749
    - gd3d11: https://github.com/kirides/GD3D11/releases/download/v17.9.7/GD3D11-v17.9.7.zip
  game:
    arch: win32
    exe: $gamesystempath/GothicMod.exe
    prefix: $GAMEDIR
  installer:
    - task:
        arch: win32
        description: Creating 32-bit Wine prefix
        install_gecko: false
        install_mono: false
        name: create_prefix
        prefix: $GAMEDIR
    - task:
        app: win7
        arch: win32
        description: "winetricks: win7"
        name: winetricks
        prefix: $GAMEDIR
    - task:
        arch: win32
        args: /SP- /SUPRESSMSGBOXES /LOG /SILENT
        description: Installing Gothic
        executable: setup
        name: wineexec
        prefix: $GAMEDIR
    - task:
        app: dotnet40 vcrun2010
        arch: win32
        description: Install wine dependencies. It takes some time. Be patient
        name: winetricks
        prefix: $GAMEDIR
    - move:
        src: othello-exe
        dst: $CACHE/
    - move:
        src: othello-1
        dst: $CACHE/
    - task:
        arch: win32
        args: /S /D=C:\\GOG Games\\Gothic
        description: Installing Othello
        executable: $CACHE/Othello-Setup.exe
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - extract:
        dst: $GAMEDIR/$gamesystempath
        file: gd3d11
    - task:
        app: directmusic
        arch: win32
        description: Background music fix
        env:
          WINETRICKS_DOWNLOADER: curl
        name: winetricks
        prefix: $GAMEDIR
    - write_config:
        description: Updating 'gothic.ini' file
        file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GOTHIC.INI
        data:
          GAME:
            bloodDetail: 3
            playLogoVideos: 0
            scaleVideos: 1
            subTitles: 1
          PERFORMANCE:
            modelDetail: 1
            sightValue: 14
          HOTBAR:
            ShowIconsOutsideOfInventory: 0
            HotBarCellSize: 0
          NEW_BARS:
            useDefaultBars: 1
            healthBarFlip: 0
            healthBarX: 240
            healthBarY: 7700
            healthBarW: 250
            healthBarH: 25
            healthTextX: 1043
            healthTextY: 7760
            healthTextAlign: 1
            staminaBarFlip: 0
            staminaBarX: 3293
            staminaBarY: 7700
            staminaBarW: 250
            staminaBarH: 25
            staminaTextX: 4100
            staminaTextY: 7760
            staminaTextAlign: 1
            manaBarFlip: 0
            manaBarX: 6360
            manaBarY: 7700
            manaBarW: 250
            manaBarH: 25
            manaTextX: 7150
            manaTextY: 7760
            manaTextAlign: 1
    - write_config:
        data:
          Display:
            Brightness: 1.0
            Rain: 1
            RainEffects: 1
            TextureQuality: 16384
            UIScale: 1.0
            VSync: 1
          FontRendering:
            Enable: 1
          General:
            AllowNormalmaps: 1
            AnimateStaticVobs: 1
            DrawWorldSectionIntersections: 1
            EnableDebugLog: 0
            EnableGodRays: 1
            EnableInactiveFpsLock: 1
            FpsLimit: 60
            SunLightStrength: 1.5
          HBAO:
            Bias: 0.5
            BlurSharpness: 4.0
            EnableBlur: 1
            Enabled: 0
            PowerExponent: 3.0
            Radius: 1.0
            SsaoBlurRadius: 1
            SsaoStepCount: 0
          SMAA:
            Enabled: 1
            SharpenFactor: 0.2
          Shadows:
            EnableDynamicLighting: 1
            EnableShadows: 1
            EnableSoftShadows: 1
            PointlightShadows: 2
            ShadowAOStrength: 0.5
            ShadowMapSize: 2048
            ShadowStrength: 0.4
            SmoothCameraUpdate: 1
            WorldAOStrength: 0.5
            WorldShadowRangeScale: 8.0
        description: Updating GD3D11 config
        file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GD3D11/UserSettings.ini
    - write_config:
        data:
          General:
            OutdoorSmallVobDrawRadius: 15000.0
            OutdoorVobDrawRadius: 30000.0
            SectionDrawRadius: 4
            VisualFXDrawRadius: 10000.0
        description: WORLD distance settings
        file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GD3D11/ZENResources/WORLD.INI
    - write_config:
        data:
          General:
            OutdoorSmallVobDrawRadius: 15000.0
            OutdoorVobDrawRadius: 15000.0
            SectionDrawRadius: 4
            VisualFXDrawRadius: 10000.0
        description: ORCGRAVEYARD distance settings
        file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GD3D11/ZENResources/ORCGRAVEYARD.INI
    - write_config:
        data:
          General:
            OutdoorSmallVobDrawRadius: 15000.0
            OutdoorVobDrawRadius: 15000.0
            SectionDrawRadius: 4
            VisualFXDrawRadius: 10000.0
        description: OLDMINE distance settings
        file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GD3D11/ZENResources/OLDMINE.INI
    - write_config:
        data:
          General:
            OutdoorSmallVobDrawRadius: 15000.0
            OutdoorVobDrawRadius: 15000.0
            SectionDrawRadius: 4
            VisualFXDrawRadius: 10000.0
        description: ORCTEMPEL distance settings
        file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GD3D11/ZENResources/ORCTEMPEL.INI
    - write_config:
        data:
          General:
            OutdoorSmallVobDrawRadius: 15000.0
            OutdoorVobDrawRadius: 15000.0
            SectionDrawRadius: 4
            VisualFXDrawRadius: 10000.0
        description: FREEMINE distance settings
        file: $GAMEDIR/drive_c/GOG Games/Gothic/system/GD3D11/ZENResources/FREEMINE.INI
  variables:
    gamedatapath: drive_c/GOG Games/Gothic/Data
    gamepath: drive_c/GOG Games/Gothic
    gamesystempath: drive_c/GOG Games/Gothic/system
  wine:
    overrides:
      ddraw: n,b
      dsound: b,n
      msvcr100: n,b
